<?php
/**
 * Model dla klasy MfProductAttributeValue
 *
 * @author ModGen
 */

class MfProductAttributeValue extends DataObject{


	/**
	 * nazwa tabeli
	 */
	static $tableName = 'mf_product_attribute_value';

	/**
	 * nazwa klucza tabeli
	 */
	static $classTablePK = 'id_mf_product_attribute_value';

	/**
	 * nazwa klasy
	 */
	static $className = __CLASS__;

	/**
	 * tablica mapująca pola klasy
	 */
	static $fields = array(
		'id_mf_product_attribute_value' => 'id',
		'value' => 'value',
		'id_mf_product' => 'idMfProduct',
		'id_mf_product_attribute' => 'idMfProductAttribute',
		'lang' => 'lang'
	);


	protected $id;
	private $value;
	private $idMfProduct;
	private $idMfProductAttribute;
	private $lang;



	// -- Konstruktor --


	function __construct( $id = -1 , $value = null, $idMfProduct = null, $idMfProductAttribute = null, $lang = null){
		$this->id = $id;
		$this->value = $value;
		$this->idMfProduct = $idMfProduct;
		$this->idMfProductAttribute = $idMfProductAttribute;
		$this->lang = $lang;
	}



	// -- Get-y i Set-y --

	public function getId(){
		return $this->id;
	}

	public function setId($id){
		$this->id = $id;
	}

	
	public function getValue(){
		return $this->value;
	}

	public function setValue($value){
		$this->value = $value;
	}

	
	public function getIdMfProduct(){
		return $this->idMfProduct;
	}

	public function setIdMfProduct($idMfProduct){
		$this->idMfProduct = $idMfProduct;
	}

	
	public function getIdMfProductAttribute(){
		return $this->idMfProductAttribute;
	}

	public function setIdMfProductAttribute($idMfProductAttribute){
		$this->idMfProductAttribute = $idMfProductAttribute;
	}

	
	public function getLang(){
		return $this->lang;
	}

	public function setLang($lang){
		$this->lang = $lang;
	}

	




	/**
	* Pobiera nazwę tabeli reprezentującej obiekt w SQL
	* @return string
	*/
	public  function GetTableName(){
	return self::$tableName;
	}

	/**
	* Pobiera nazwę klucza głównego tabeli
	* @return string
	*/
	public function GetClassTablePK() {
		return self::$classTablePK;
	}

	/**
	* Pobiera tablice mapującą pola klasy na pola tabeli
	* @return array
	*/
	public  function GetFields(){
		return self::$fields;
	}

	/**
	* Pobiera nazwę klasy
	* @return string
	*/
	public  function GetClassName(){
		return self::$className;
	}



}

?>